@import "../variables";

.course-page-wrapper {
    padding: 20px 21px;
    font-family: $FF_M;
    .lesson-info {
        padding-bottom: 20px;
        border-bottom: 1px solid $borderColor;
        p, span {
            margin: 0;
            letter-spacing: unset;
            line-height: unset;
        }
        span {
            font-size: 29px;
            font-weight: 800;
            color: $darkFontColor;
            display: flex;
            margin-bottom: 15px;
        }
        p {
            font-size: 15px;
            color: $darkFontColor;
        }
    }
    .lesson-text {

      word-break: break-word;

      ::ng-deep h1, ::ng-deep h2, ::ng-deep h3, ::ng-deep h4, ::ng-deep h5, ::ng-deep h6 {
        font-weight: 600;
        line-height: 1.1;
      }

      ::ng-deep h1 {
        font-size: calc(1rem * (1.6));
      }

      ::ng-deep h2 {
        font-size: calc(1rem * (1.5));
      }

      ::ng-deep h3 {
        font-size: calc(1rem * (1.4));
      }

      ::ng-deep h4 {
        font-size: calc(1rem * (1.3));
      }

      ::ng-deep h5 {
        font-size: calc(1rem * (1.2));
      }

      ::ng-deep h6 {
        font-size: calc(1rem * (1.1));
      }

      ::ng-deep p, ::ng-deep span {
          margin: 0;
          letter-spacing: unset;
          line-height: unset;
      }
      ::ng-deep p {
        margin: 5px 0;
          font-family: $FF_M;
          font-size: 1rem;
          strong {
              font-size: 1rem;
              font-weight: 600;
              color: #101828;
          }
      }

      ::ng-deep ul {
        box-sizing: border-box;
        li {
          margin: 2px 0;
          list-style: decimal inside;
        }
      }
    }
    .navigation {
        border-top: 1px solid $borderColor;
        padding-top: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-bottom: 30px;
        a {
            border: none;
            font-size: 16px;
            font-weight: 600;
            display: flex;
            align-items: center;
            justify-content: center;
            width: 46%;
            padding: 13px 10px;
            border-radius: 30px;
            &.prev {
                color: $blueColor;
                border: 1px solid $blueColor;
                background: transparent;
            }
            &.next {
                color: $lightFontColor;
                border: 1px solid $blueColor;
                background: $blueColor;
            }
        }
    }
}
